Skip to main content

Billable Usage Download

View as Markdown

Configure different aspects of Databricks billing and usage.

Download GA

GET /api/2.0/accounts/{account_id}/usage/download

Returns billable usage logs in CSV format for the specified account and date range. For the data schema, see:

Note that this method might take multiple minutes to complete.

Warning: Depending on the queried date range, the number of workspaces in the account, the size of the response and the internet speed of the caller, this API may hit a timeout after a few minutes. If you experience this, try to mitigate by calling the API with narrower date ranges.

API scopes: billing

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

start_monthstringquery

Format specification for month in the format YYYY-MM. This is used to specify billable usage start_month and end_month properties. Note: Billable usage logs are unavailable before March 2019 (2019-03).

Constraints: 2[0-9][0-9][0-9]-(0[1-9]|1[012])

end_monthstringquery

Format: YYYY-MM. Last month to return billable usage logs for. This field is required.

Constraints: 2[0-9][0-9][0-9]-(0[1-9]|1[012])

personal_databooleanquery

Specify whether to include personally identifiable information in the billable usage logs, for example the email addresses of cluster creators. Handle this information with care. Defaults to false.

Default: false

Response

contentsstring